--- Guilder: Zone Information Module
-- This module allows the user to set specific information to be displayed when entering a zone
-- @class file
-- @name Modules/zoner.lua
-- @release 1.0.0

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local Guilder = _G.Guilder
if not Guilder then
	error("Guilder_Zoner requires Guilder")
end

--[[ *** LOAD LIBRARIES *** ]]--

local Guilder_Zoner = Guilder:NewModule("")
local L = Guilder.L
Guilder_Zoner.modName = L[""]

--[[ *** SET UP VARIABLES *** ]]--



--[[ *** DEFAULT SETTINGS *** ]]--

local defaults = {
	profile = {
	}
}

--[[ *** CONFIGURATION MENU *** ]]--

local options = {
}

--[[ *** MODULE FUNCTIONS *** ]]--

function Guilder_Zoner:OnInitialize()
	if Guilder.db.profile.modules[""] == nil then Guilder.db.profile.modules[""] = false end
	self.db = Guilder.db:RegisterNamespace("", defaults)
end

function Guilder_Zoner:OnEnable()
end

function Guilder_Zoner:OnDisable()
end

function mod.GetMainName()
end

function Guilder_Zoner:Info()
	return L[""]
end

function Guilder_Zoner:DoCommand(sender, msg)
end

function Guilder_Zoner:GetCommand()
	return nil
end

function Guilder_Zoner:GetHelp()
	return nil
end

function Guilder_Zoner:GetOptions()
	return options
end

--[[ ***  FUNCTIONS *** ]]--

--- 
-- @param
-- @usage
-- @returns
